Summary:	A collection of multi-dimensional data structures and indexing algorithms
Summary(pl.UTF-8):	Zbiór struktur danych wielowymiarowych oraz algorytmów indeksujących
Name:		mdds
Version:	0.12.1
Release:	1
License:	MIT
Group:		Development/Libraries
#Source0Download: https://gitlab.com/mdds/mdds
Source0:	http://kohei.us/files/mdds/src/%{name}_%{version}.tar.bz2
# Source0-md5:	ef2560ed5416652a7fe195305b14cebe
URL:		https://gitlab.com/mdds/mdds
BuildRequires:	autoconf >= 2.50
BuildRequires:	boost-devel >= 1.39
BuildRequires:	rpmbuild(macros) >= 1.446
BuildRequires:	sed >= 4.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A collection of multi-dimensional data structures and indexing
algorithms.

It implements the following data structures:
- segment tree
- flat segment tree
- rectangle set
- point quad tree
- mixed type matrix

%description -l pl.UTF-8
Zbiór struktur danych wielowymiarowych oraz algorytmów indeksujących.
Zaimplementowane są następujące struktury danych:
- drzewo segmentowe
- płaskie drzewo segmentowe
- zbiór prostokątów
- drzewo czwórkowe (quadtree) dla punktów
- macierz mieszana

%package devel
Summary:	A collection of multi-dimensional data structures and indexing algorithms
Summary(pl.UTF-8):	Zbiór struktur danych wielowymiarowych oraz algorytmów indeksujących
Group:		Development/Libraries
Requires:	boost-devel >= 1.39

%description devel
A collection of multi-dimensional data structures and indexing
algorithms.

It implements the following data structures:
- segment tree
- flat segment tree
- rectangle set
- point quad tree
- mixed type matrix

%description devel -l pl.UTF-8
Zbiór struktur danych wielowymiarowych oraz algorytmów indeksujących.
Zaimplementowane są następujące struktury danych:
- drzewo segmentowe
- płaskie drzewo segmentowe
- zbiór prostokątów
- drzewo czwórkowe (quadtree) dla punktów
- macierz mieszana

%prep
%setup -q -n %{name}_%{version}

# this is only used in tests
sed -i -e '/^CPPFLAGS_NODEBUG/s/-Wall -Os -g/%{rpmcflags} -Wall/' configure.ac

%build
%{__autoconf}
# we can switch from boost to c++0x (the default) if sufficiently new C++11 compliant g++ is enforced
%configure \
	--with-hash-container=boost
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}/mdds
cp -a include/mdds/* $RPM_BUILD_ROOT%{_includedir}/mdds
install -Dp misc/mdds.pc $RPM_BUILD_ROOT%{_npkgconfigdir}/mdds.pc

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_includedir}/mdds
%{_npkgconfigdir}/mdds.pc
%changelog
* Thu Jul 02 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mdds.git;a=log;h=master

* Thu Jul 02 2015 Jakub Bogusz <qboosh@pld-linux.org> 0a68325
- updated to 0.12.1

* Fri Feb 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 2f97142
- updated to 0.12.0

* Mon Oct 27 2014 Jakub Bogusz <qboosh@pld-linux.org> f4af2d6
- updated to 0.11.1

* Sat May 24 2014 Jakub Bogusz <qboosh@pld-linux.org> 7b9a143
- updated to 0.10.3

* Sun Mar 09 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 7cec672
- up to 0.10.2

* Thu Jan 30 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 26e0ce3
- up to 0.10.1

* Sun Nov 17 2013 Jakub Bogusz <qboosh@pld-linux.org> 032fc0c
- updated to 0.9.1

* Mon Jul 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 4250c1f
- updated to 0.9.0

* Sun May 26 2013 Jakub Bogusz <qboosh@pld-linux.org> 3158fcb
- updated to 0.8.1

* Sun May 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 35b5323
- updated to 0.8.0; .pc file introduced

* Sat Mar 23 2013 Jakub Bogusz <qboosh@pld-linux.org> 3cdb0de
- updated to 0.7.1

* Sun Feb 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 746bc63
- updated to 0.7.0

* Thu Feb 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 47d7999
- updated to 0.6.1
- removed obsolete patches

* Thu Feb 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 021b472
- pl
- pass --with-hash-container=boost to be consistent with specified dependencies
  (boost not C++11-compliant compiler)
- only -devel binary package exists, so copied full description there

* Thu Aug 09 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 7a3941f
- up to 0.6.0

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> 61c8436
- up to 0.5.4

* Fri Oct 21 2011 Elan Ruusamäe <glen@pld-linux.org> 843e075
- pldize

* Mon Oct 17 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> dbe2120
- initial

